octofussd - Segnalazione #225

creazione utene con home non predefinita
04/10/2017 02:36 PM - Michael Guggenberg

Status: Chiuso Start date: 04/10/2017
Priority: Alta Due date:

Assignee: Michael Guggenberg % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Creo I'utente username impostando la path della home a /home/studenti/username (non predefinita).

La home dell utente appena inserito viene pero creata in /home/username

Edito l'utente e riemposto la path a /home/studenti/username, I'utente appena modificato trova la sua home non in
/home/studenti/username ma sempre in /home/username.

Related issues:
Blocked by octonet - Segnalazione #230: Autocompletare il campo home durante ... Chiuso 04/14/2017

History

#1 - 04/10/2017 03:25 PM - Paolo Dongilli
- Assignee set to TRUELITE

- Priority changed from Normale to Alta

#2 - 04/11/2017 11:08 AM - Mark Caglienzi
- Status changed from Nuovo to In elaborazione

- Assignee changed from TRUELITE to Mark Caglienzi

#3 - 04/11/2017 12:31 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

Credo che il problema sia in octofussd, perd non conosco molto il suo codice.

® Nella view UserCreate la home viene correttamente letta dal form

¢ Poi viene creato il tree per l'utente con Icreate() passando tutti i dati del form

¢ A questo punto credo che intervenga octofussd

¢ In Idapusers.py -> UserDB.new_user() chiama self._filllnNewUser()

¢ In common.py c'e l'implementazione di _fillilnNewUser() che rispetto alla home directory sembra ignorare il dato in arrivo e setta sempre
'"home/$UTENTE'

Facendo print di value e data ottengo questo:

_fillInNewUser, value {'gecos': 'user_b', 'homeDirectory': '/home/studenti/user_b', 'uid': 'user_b', 'loginShe

11': '/bin/bash'}

_fillInNewUser, data {'uid': ['user_Db'], 'sn': ['user_b'], 'givenName': ['user_b'], 'sambaPwdCanChange': ['0']

, 'gecos': ['user_b'],

'homeDirectory': ['/home/user_b'], 'sambalLogonTime': ['0'], 'sambaPrimaryGroupSID': ['SIDPREFIX-2000'], 'shado

wMax': ['99999'], 'sambalLMPassword': ['XXX'],

'gidNumber': ['500'], 'ou': ['studenti'], 'sambaPwdLastSet': ['0'], 'uidNumber': ['2001'], 'sambaLogoffTime':
['2147483647'],

'sambaNTPassword': ['XXX'], 'sambaHomeDrive': ['H:'], 'sambaAcctFlags': ['[UX]'], 'loginShell': ['/bin/bash'],
'displayName': ['user_b'],

'cn': ['user_b'], 'sambaSID': ['SIDPREFIX-5002'], 'sambaPwdMustChange': ['2147483647'], 'objectClass': ['top',
'person', 'organizationalPerson',

'inetOrgPerson', 'posixAccount', 'shadowAccount', 'sambaSamAccount'], 'sambaKickoffTime': ['2147483647']}
e si vede che value['homeDirectory'] (cioe I'input) contiene '’home/studenti/user_b', mentre data['homeDirectory'] contiene '/home/user_b'.

Ma non so se ho trovato il problema o se la questione risiede altrove.

#4 - 04/12/2017 04:07 PM - Mark Caglienzi
- Status changed from Commenti to In elaborazione

- Assignee changed from Christopher R. Gabriel to Mark Caglienzi

Visto il successo in #217 vedo se il problema anche qui & simile, come pare a prima vista

#5 - 04/13/2017 04:10 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel
Corretto nel commit b15698f5 in octofussd (guardaci se & ok come soluzione. Ho provato anche a fare qualcosa come getattr(value, 'homeDirectory’,
''home/%s' % user) ma cosi non funzionava, per questo c'e quella versione un po' piu prolissa)

Pushato in octofussd master.

#6 - 04/14/2017 11:04 AM - Christopher R. Gabriel

- Project changed from octonet to octofussd

#7 - 04/14/2017 11:32 AM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Mark Caglienzi

Mi torna la patch.

Pero' prima dobbiamo allora aggiungere a octonet il popolamento del campo del form quando si create/modifica un utente, perche' attualmente come
default e' vuoto. Il rischio e' che non venga compilato e quindi che la home create sia un valore vuoto.

Nel form di creazione utente, aggiungerei via js il popolare il campo con home/${valore del campo username}' solo se il campo inizialmente e' vuoto,
usando come trigger il keydown sul campo username.

Se vuoi apri un ticket in octonet e metti questo bloccato dal nuovo ticket.

#8 - 04/14/2017 04:25 PM - Mark Caglienzi

- Status changed from Commenti to In elaborazione

#9 - 04/14/2017 04:45 PM - Mark Caglienzi

- Blocked by Segnalazione #230: Autocompletare il campo home durante la creazione di un utente added
#10 - 04/18/2017 10:46 AM - Mark Caglienzi

- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel
https://work.fuss.bz.it/issues/217

Mergiato in master e pushato il ticket #230, ti giro anche questo allora

#11 - 04/26/2017 11:12 AM - Elena Grandi

- Assignee changed from Christopher R. Gabriel to Elena Grandi

#12 - 04/26/2017 12:50 PM - Mark Caglienzi

- Assignee changed from Elena Grandi to Michael Guggenberg

Con le nuove versioni dei pacchetti (octofussd 8.0.17-1 e octonet 0.2.3-1) questo problema non dovrebbe pil presentarsi.
Inoltre come detto nei messaggi precedenti, c'é€ una sorta di autocompletamento di aiuto durante la creazione di un nuovo utente:

e Mentre si scrive lo username, viene autocompletato il campo home con /home/USERNAME
¢ Ovviamente il campo home resta modificabile a piacere

#13 - 09/11/2017 02:22 PM - Michael Guggenberg
- Status changed from Commenti to Risolto

- % Done changed from 0 to 100

#14 - 09/11/2017 02:22 PM - Michael Guggenberg

- Status changed from Risolto to Chiuso
